import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSDate } from "../Foundation/NSDate.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _CMWaterTemperature extends _NSObject {
    static alloc(): _CMWaterTemperature;
    static new(): _CMWaterTemperature;
    init(): _CMWaterTemperature;
    date(): _NSDate;
    temperature(): _NSMeasurement;
    temperatureUncertainty(): _NSMeasurement;
}
export interface _CMWaterTemperature extends _NSSecureCoding, _NSCopying {
}
